# Class $TimeoutProvider

- Defined in core/timeout/timeout.js:6

#####
Index

### Constructors

constructor

### Properties

$get

##
Constructors

### constructor

- new $TimeoutProvider(): $TimeoutProvider

- #### Returns $TimeoutProvider

  - Defined in core/timeout/timeout.js:6

##
Properties

### $get

$get: (string | (($rootScope: Scope, $browser: Browser, $q: any, $$q: any, $exceptionHandler: ErrorHandler) => {
cancel(promise: QPromise<any>): boolean;
(fn: (() => any), delay?: number, invokeApply??: boolean, ...args: any): QPromise<any>;
}))[]

- Defined in core/timeout/timeout.js:7